package com.liquidnet.service.kylin.service.admin;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.kylin.dao.PerformanceAdminListDao;
import com.liquidnet.service.kylin.dao.RoadShowAdminListDao;
import com.liquidnet.service.kylin.dto.param.CreateRoadShowParam;
import com.liquidnet.service.kylin.dto.vo.admin.RoadShowAdminVo;
import com.liquidnet.service.kylin.entity.KylinRoadShows;

/**
 * <p>
 * 巡演 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-11
 */
public interface IKylinRoadShowsAdminService extends IService<KylinRoadShows> {

    String  createRoadShow(CreateRoadShowParam createRoadShowParam);

    boolean updateRoadShow(CreateRoadShowParam createRoadShowParam);

    boolean deleteRoadShow(String roadShowId, int status);

    RoadShowAdminVo detailsRoadShow(String roadShowId);

    PageInfo<RoadShowAdminListDao> listRoadShow(String title, int page, int size);


}
